use maud::{Markup, html};

use super::empty;

pub fn desktop_minimal(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="w-full h-screen flex justify-center bg-base-200" {
            div class="w-full max-w-7xl flex bg-base-100" {
                div class="w-56" {
                    (sidebar())
                }
                div class="w-full" {
                    (content)
                }

            }
        }
    };

    empty(content, name)
}

pub fn desktop(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="pl-10 pt-10 w-full max-w-2xl" {
            (content)
        }
    };

    desktop_minimal(content, name)
}

fn sidebar() -> Markup {
    html! {
        ul class="menu w-full h-full border-r border-base-300" {
            li {
                div class="pt-3 pb-6 mt-3" {
                    h2 { "Timo's Workouts" }
                }
                a href="/" {
                    "Overview"
                }
                a href="/workouts" {
                    "Workouts"
                }
                a href="/exercises" {
                    "Exercises"
                }
            }
        }
    }
}
